Create Namespace Access Policy
const url = 'https://example.com/registry/v1/workspaces/example/namespaces/example/access-policies';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"scope_type":"POLICY_SCOPE_TYPE_UNSPECIFIED","scope_id":"example","principal_id":"example","principal_type":"PRINCIPAL_TYPE_UNSPECIFIED","actions":["REGISTRY_ACTION_UNSPECIFIED"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/registry/v1/workspaces/example/namespaces/example/access-policies \ --header 'Content-Type: application/json' \ --data '{ "scope_type": "POLICY_SCOPE_TYPE_UNSPECIFIED", "scope_id": "example", "principal_id": "example", "principal_type": "PRINCIPAL_TYPE_UNSPECIFIED", "actions": [ "REGISTRY_ACTION_UNSPECIFIED" ] }'Creates an access policy bound to the given Namespace. The policy grants the principal one or more registry actions on every repository and tag inside the namespace.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The unique identifier of the workspace that the namespace belongs to
The unique identifier of the namespace the policy is bound to
Request Body required
Section titled “Request Body required ”object
Responses
Section titled “ Responses ”OK
object
object
object
Example
{ "operation_type": "REGISTRY_OPERATION_TYPE_UNSPECIFIED", "status": "REGISTRY_OPERATION_STATUS_UNSPECIFIED"}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}